
#define service {
#	service_description		snmp_win_service_NComm_NCommWA
#	use				Windows Production service
#	host_name			uhs205w
#	check_command			check_snmp_win_service!"Medicat Interface Service \\(NComm\\),Medicat Interface Service \\(NCommWA\\)"
#	contact_groups			null
#	contacts			Health Services Help
#}


define service {
	service_description		nrpe_win_service_Mirth_Connect_Service
	use				Windows Production service
	host_name			uhs212w
	check_command			check_nrpe_win_service!"Mirth Connect Service" 
	contacts			Health Services Help
}

define service {
	service_description		snmp_win_service_Lync_Monitoring
	use				Windows Production service
	host_name			csglyncm218w
	check_command			check_snmp_win_service!"SQL Server \\(RTCLOCAL\\)"
	contacts			CSG OnCall, CISDR
}

define service {
	service_description		snmp_win_service_Lync
	use				Windows Production service
	host_name			csglync221w, csglync222w
	check_command			check_snmp_win_service!"Lync Server Audio Test Service,Lync Server Call Park,Lync Server Centralized Logging Service Agent,Lync Server Front-End,Lync Server IM Conferencing,Lync Server Mediation,Lync Server Replica Replicator Agent,Lync Server XMPP Translating Gateway,SQL Server \\(LYNCLOCAL\\),SQL Server \\(RTC\\),SQL Server \\(RTCLOCAL\\)"
	contacts			CSG OnCall, CISDR
}

define service {
	service_description		snmp_win_service_Lync
	use				Windows Production service
	host_name			csglync229w
	check_command			check_snmp_win_service!"Lync Server Audio Test Service,Lync Server Call Park,Lync Server Centralized Logging Service Agent,Lync Server Front-End,Lync Server IM Conferencing,Lync Server Mediation,Lync Server Replica Replicator Agent,Lync Server XMPP Translating Gateway,SQL Server \\(LYNCLOCAL\\),SQL Server \\(RTCLOCAL\\)"
	contacts			CSG OnCall, CISDR
}

define service {
	service_description		snmp_win_service_Lync
	use				Windows Production service
	host_name			csglynce223w, csglynce224w
	check_command			check_snmp_win_service!"Lync Server Access Edge,Lync Server Audio/Video Authentication,Lync Server Audio/Video Edge,Lync Server Centralized Logging Service Agent,Lync Server Replica Replicator Agent,Lync Server Web Conferencing Edge,SQL Server \\(RTCLOCAL\\)"
	contacts			CSG OnCall, CISDR
}

define service {
	service_description		snmp_win_service_Lync
	use				Windows Production service
	host_name			csglyncdb225w, csglyncdb226w
	check_command			check_snmp_win_service!"SQL Server \\(MSSQLSERVER\\),SQL Server Agent \\(MSSQLSERVER\\),SQL Server Integration Services 11.0,SQL Server Reporting Services \\(MSSQLSERVER\\)"
	contacts			CSG OnCall, CISDR
}

# DocAve services
define service {
	service_description		snmp_win_service_DocAve
	use				Windows Production service
	host_name			csgdocave200w
	check_command			check_snmp_win_service!"DocAve 6 Report Service,DocAve 6 Media,DocAve 6 Timer Service"
	contacts			Sharepoint Admin
}

define service {
	service_description		nrpe_win_service_SNMP
	use				Windows Production service
	host_name			csgsp200w, csgsp201w, csgsp202w, csgsp203w, csgsp204w
	check_command			check_nrpe_win_service!SNMP
	contacts			Sharepoint Admin
}

# SharePoint 2010
# Prod
define service {
	service_description		snmp_win_service_SharePoint2K10
	use				Windows Production service
	host_name			csgsp200w, csgsp201w, csgsp202w, csgsp203w, csgsp204w
	check_command			check_snmp_win_service!"DocAve 6 Agent service,DocAve Communication"
	contacts			Sharepoint Admin
}

define service {
	service_description		nrpe_win_service_SharePoint2K10
	use				Windows Production service
	host_name			csgsp201w, csgsp202w, csgsp203w, csgsp204w
	check_command			check_nrpe_win_service!SPAdminV4 SPTimerV4 SPTraceV4 SPWriterV4
	contacts			Sharepoint Admin
}

define service {
	service_description		nrpe_win_service_SharePoint2K10
	use				Windows Production service
	host_name			csgsp200w
	check_command			check_nrpe_win_service!FIMService FIMSynchronizationService OSearch14 SPAdminV4 SPTimerV4 SPTraceV4
	contacts			Sharepoint Admin
}

## SharePoint 2016

define service {
	service_description		nrpe_win_service_SharePoint2016
	use				Windows Production service
	host_name			wasspapp201w, wasspfe202w, wasspfe203w, wasspfe204w, wasspdc205w
	check_command			check_nrpe_win_service!SPTimerV4 SPTraceV4
	contacts			Sharepoint Admin
}

define service {
	service_description		nrpe_win_service_SharePoint2016
	use				Windows Production service
	host_name			wasspapp200w
	check_command			check_nrpe_win_service!SPTimerV4 SPTraceV4 ProfSvc
	contacts			Sharepoint Admin
}

define service {
	service_description		nrpe_win_service_SharePoint2016
	use				Windows Production service
	host_name			wasspss206w
	check_command			check_nrpe_win_service!SPTimerV4 SPTraceV4 SPSearchHostController OSearch16
	contacts			Sharepoint Admin
}

define service {
	service_description		nrpe_win_service_SMTP
	use				Windows Production service
	host_name			wasspapp200w, wasspapp201w, wasspfe202w, wasspfe203w, wasspfe204w, wasspdc205w, wasspss206w
	check_command			check_nrpe_win_service!"Simple Mail Transfer Protocol (SMTP)"
	contacts			Sharepoint Admin
}

define service {
	service_description		nrpe_wintest_service_SharePoint2K10
	use				Windows Dev/QA service
	host_name			csgspfe100w
	check_command			check_nrpe_win_service!"DocAve 6 Agent service" "DocAve Communication" OSearch14 SPAdminV4 SPTimerV4 SPTraceV4 SPUserCodeV4 SPWriterV4
	contacts			Sharepoint Admin
}

define service {
	service_description		nrpe_wintest_service_SharePoint2K10
	use				Windows Dev/QA service
	host_name			csgspfe101w
	check_command			check_nrpe_win_service!"DocAve 6 Agent service" SPAdminV4 SPTimerV4 SPTraceV4 SPUserCodeV4 SPWriterV4
	contacts			Sharepoint Admin
}

define service {
	service_description		nrpe_wintest_service_SharePoint2K10
	use				Windows Dev/QA service
	host_name			csgspapp102w
	check_command			check_nrpe_win_service!"DocAve 6 Agent service" FIMService FIMSynchronizationService OSearch14 SPAdminV4 SPTimerV4 SPTraceV4
	contacts			Sharepoint Admin
}

define service {
	service_description		nrpe_wintest_service_SharePoint2K10
	use				Windows Dev/QA service
	host_name			csgspapp103w
	check_command			check_nrpe_win_service!"DocAve 6 Agent service" SPAdminV4 SPTimerV4 SPTraceV4
	contacts			Sharepoint Admin
}

define service {
	service_description		nrpe_win_service_SMTP
	use				Windows Production service
	host_name			fac-willo3-200w
	check_command			check_nrpe_win_service!"Simple Mail Transfer Protocol (SMTP)"
	contact_groups			Maximo
}

define service {
	service_description		SMTP
	use				Windows Production service
	host_name			fac-willo3-200w
	check_command			check_smtp!5!10!-p 25
	contact_groups			Maximo
}

# Exchange Production

define service {
	service_description		nrpe_win_Exchange_HUB_Transport_Dumpster_Item_Count
	use				Windows Production service
	host_name			csghub208w, csghub209w
	normal_check_interval		5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_counters!new!MSExchangeTransport Dumpster!Dumpster Item Count!-!\+3000!\+3500
	contacts			CISDR
}

define service {
	service_description		nrpe_win_Exchange_HUB_Transport_Queues_Delivery_Q_Length
	use				Windows Production service
	host_name			csghub208w, csghub209w
	normal_check_interval		5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_counters!new!MSExchangeTransport Queues!Active Mailbox Delivery Queue Length!_total!\+250!\+300
	contacts			CISDR
}

define service {
	service_description		nrpe_win_Exchange_HUB_Transport_Queues_Poison_Queue_Length
	use				Windows Production service
	host_name			csghub208w, csghub209w
	normal_check_interval		5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_counters!new!MSExchangeTransport Queues!Poison Queue Length!*!\+100!\+200
	contacts			CISDR
}

define service {
	service_description		nrpe_win_Exchange_HUB_Transport_Queues_Remote_Delivery_Length
	use				Windows Production service
	host_name			csghub208w, csghub209w
	normal_check_interval		5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_counters!new!MSExchangeTransport Queues!Active Remote Delivery Queue Length!*!\+400!\+600
	contacts			CISDR
}

define service {
	service_description		nrpe_win_Exchange_HUB_Transport_Queues_Delivery_Length
	use				Windows Production service
	host_name			csghub208w, csghub209w
	normal_check_interval		5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_counters!new!MSExchangeTransport Queues!Aggregate Delivery Queue Length (All Queues)!_total!\+400!\+600
	contacts			CISDR
}

define service {
	service_description		nrpe_win_Exchange_MBX_IS_Messages_Queued_Submission
	use				Windows Production service
	hostgroup_name			Exchange Mailbox
	max_check_attempts		5
	normal_check_interval		5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_counters!new!MSExchangeIS Mailbox!Messages Queued for Submission!_total!\+100!\+200
	contacts			CISDR
}

define service {
	service_description		nrpe_win_Exchange_MBX_IS_RPC_Requests
	use				Windows Production service
	hostgroup_name			Exchange Mailbox
	max_check_attempts		5
	normal_check_interval		5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_counters!new!MSExchangeIS!RPC Requests!-!\+100!\+200
	contacts			CISDR
}

define service {
	service_description		nrpe_win_Exchange_MBX_DB_IO_Reads_Avg_Latency
	use				Windows Production service
	hostgroup_name			Exchange Mailbox
	max_check_attempts		5
	normal_check_interval		5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_counters!new!MSExchange Database!I/O Database Reads (Attached) Average Latency!*!\+2000!\+2100
	contacts			John P. Sophy
}

define service {
	service_description		nrpe_win_Exchange_MBX_DB_IO_Writes_Avg_Latency
	use				Windows Production service
	hostgroup_name			Exchange Mailbox
	max_check_attempts		5
	normal_check_interval		5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_counters!new!MSExchange Database!I/O Database Writes (Attached) Average Latency!*!\+2000!\+2100
	contacts			John P. Sophy
}

define service {
	service_description		nrpe_win_Exchange_MBX_DB_IO_Writes_Rec_Avg_Latency
	use				Windows Production service
	hostgroup_name			Exchange Mailbox
	max_check_attempts		5
	normal_check_interval		5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_counters!new!MSExchange Database!I/O Database Writes (Recovery) Average Latency!*!\+2000!\+2100
	contacts			John P. Sophy
}

define service {
	service_description		nrpe_win_Exchange_MBX_DB_IO_Reads_Rec_Avg_Latency
	use				Windows Production service
	hostgroup_name			Exchange Mailbox
	max_check_attempts		5
	normal_check_interval		5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_counters!new!MSExchange Database!I/O Database Reads (Recovery) Average Latency!*!\+2000!\+2100
	contacts			John P. Sophy
}

define service {
	service_description		nrpe_win_Exchange_CAS_ActiveSync_Current_Requests
	use				Windows Production service
	host_name			csgcas204w, csgcas205w, csgcas206w, csgcas207w
	normal_check_interval		5
	process_perf_data		1
	event_handler			cas_iis_reset
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_counters!new!MSExchange ActiveSync!Current Requests!-!\-100!\+2400
	contacts			CISDR
}


define service {
	service_description		nrpe_win_Exchange_CAS_IMAP4_Active_SSL_Connections
	use				Windows Production service
	host_name			csgcas204w, csgcas205w, csgcas206w, csgcas207w
	normal_check_interval		5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_counters!new!MSExchangeImap4!Active SSL Connections!*!\-10!\+1300
	contacts			CISDR
}


define service {
	service_description		nrpe_win_Exchange_CAS_RPC_HTTP_Proxy_Connections
	use				Windows Production service
	host_name			csgcas204w, csgcas205w, csgcas206w, csgcas207w
	normal_check_interval		5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_counters!new!RPC/HTTP Proxy!Current Number of Incoming RPC over HTTP Connections!-!\-20!\+3000
	contacts			CISDR
}

define service {
	service_description		nrpe_win_Exchange_CAS_ActiveSync_Ping_Pending
	use				Windows Production service
	host_name			csgcas204w, csgcas205w, csgcas206w, csgcas207w
	normal_check_interval		5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_counters!new!MSExchange ActiveSync!Ping Commands Pending!-!\+2200!\+2400
	contacts			CISDR
}

define service {
	service_description		nrpe_win_Exchange_CAS_OWA_Current_Users
	use				Windows Production service
	host_name			csgcas204w, csgcas205w, csgcas206w, csgcas207w
	normal_check_interval		5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_counters!new!MSExchange OWA!Current Users!-!\-10!\+500
	contacts			CISDR
}


define service {
	service_description		nrpe_win_Exchange_CAS_OWA_Average_Response_Time
	use				Windows Production service
	host_name			csgcas204w, csgcas205w, csgcas206w, csgcas207w
	normal_check_interval		5
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_win_counters!new!MSExchange OWA!Average Response Time!-!\+5000!\+10000
	contacts			CISDR
}

define service {
        service_description		nrpe_win_service_exchange_mbx
        use				Windows Production service
	hostgroup_name			Exchange Mailbox
        check_command			check_nrpe_win_service!MSExchangeADTopology MSExchangeIS MSExchangeMailSubmission MSExchangeMailboxAssistants MSExchangeRepl MSExchangeRPC MSExchangeSearch MSExchangeServiceHost MSExchangeSA MSExchangeThrottling MSExchangeTransportLogSearch
	contacts			CISDR
}

# Exchange Dev/QA

define service {
	service_description		nrpe_wintest_service_MSExADTopology
	use				Windows Dev/QA service
	host_name			csgcas104w, csgcas105w, csgcas301w, csghub102w, csghub103w, csghub302w, csgmbx100w, csgmbx300w, csgmbx303w
	check_command			check_nrpe_win_service!MSExchangeADTopology
	contacts			CISDR
}

define service {
	service_description		nrpe_wintest_service_MSExchangeCAS
	use				Windows Dev/QA service
	host_name			csgcas104w, csgcas105w, csgcas301w
	check_command			check_nrpe_win_service!MSExchangeRPC MSExchangeImap4 MSExchangeFBA
	contacts			CISDR
}

define service {
	service_description		nrpe_wintest_service_MSExchangeTransport
	use				Windows Dev/QA service
	host_name			csghub102w, csghub103w, csghub302w
	check_command			check_nrpe_win_service!MSExchangeTransport
	contacts			CISDR
}

define service {
	service_description		nrpe_wintest_service_MSExchangeMBX
	use				Windows Dev/QA service
	host_name			csgmbx100w, csgmbx300w, csgmbx303w
	check_command			check_nrpe_win_service!MSExchangeIS MSExchangeSA
	contacts			CISDR
}

# AD FS 2.0 Windows Dev/QA Service - adfssrv --- Ticket #2181621
define service {
	service_description             nrpe_wintest_service_adfssrv
	use                             Windows Dev/QA service
	host_name			iamadfs100w, iamadfs101w
	check_command                   check_nrpe_win_service!adfssrv
	contacts			Identity and Access Management, IAM OnCall
}

# AD FS 2.0 Windows Production Service - adfssrv --- Ticket #1854296
define service {
	service_description             nrpe_win_service_adfssrv
	use                             Windows Production service
	host_name			iamadfs200w, iamadfs201w
	check_command                   check_nrpe_win_service!adfssrv
	contacts			Identity and Access Management, IAM OnCall
}

# New McAfee services for Exchange
define service {
	service_description		nrpe_wintest_service_McAfee_Exchange
	use				Windows Dev/QA service
	host_name			csgmbx100w
	check_command			check_nrpe_win_service!MSME
	contacts			CISDR
}


define service {
	service_description		nrpe_win_service_Microsoft_Azure_AD_Sync
	use				Windows Production service
	host_name			iamdirsync200w
	check_command			check_nrpe_win_service!"Microsoft Azure AD Sync"
	contacts			Identity and Access Management
}

define service {
	service_description		nrpe_wintest_service_Microsoft_Azure_AD_Sync
	use				Windows Dev/QA service
	host_name			iamdirsync100w
	check_command			check_nrpe_win_service!"Microsoft Azure AD Sync"
	contacts			Identity and Access Management
}
	
# SDP Ports
define service {
	service_description		tcp_5575_14100_14300
	use				generic-service-active
	host_name			sdpoam100l, sdpoam101l, sdpoam200l, sdpoam201l
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_tcp_multiport!5575,14100,14300
	contacts			Ashutosh Hadap, DBA Important List, Identity and Access Management
	contact_groups			null
}

define service {
	service_description		tcp_4443
	use				generic-service-active
	host_name			sdpohs100l, sdpohs101l, sdpohs200l, sdpohs201l
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_tcp!4443
	contacts			Ashutosh Hadap, DBA Important List, Identity and Access Management
	contact_groups			null
}


define service {
	service_description		nrpe_win_app_shibboleth
	use				Windows Production service
	host_name			sdpidp202w, sdpidp203w
	check_command			check_nrpe_win_app_shibboleth
	contacts			Identity and Access Management
	contact_groups			null
}

# bertha

define service {
	service_description		snmp_win_service_Princeton_Development_Dispatcher
	use				Windows Production service
	host_name			dev-webprod
	check_command			check_snmp_win_service!"Princeton Development Dispatcher"
	check_period			Dev Dispatcher
	notification_period		Dev Dispatcher
	contact_groups			null
	contacts			Dev Web Monitor
}

define service {
	service_description		Selenium
	use				generic-service
	host_name			mon200w, mon201w, mon202w, mon203w, mon205l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_tcp!4444
	contact_groups			null
	contacts			Networking
}

define service {
	service_description		Selenium
	use				generic-service
	host_name			mon204l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_tcp!4444
	contact_groups			null
	contacts			Networking
}

define service {
	service_description		Selenium DevQA
	use				generic-service
	host_name			mon302l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	#event_handler			monitoring_hub_recovery
	check_command			check_tcp!4444
	contact_groups			null
	contacts			Igor V. Gubenko
}

define service {
	service_description		Selenium DevQA
	use				generic-service
	host_name			mon300w, mon301w, mon303l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_tcp!4444
	contact_groups			null
	contacts			Igor V. Gubenko
}

define service {
	service_description		Selenium Hub
	use				generic-service
	host_name			monitor
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_tcp_port!monitor.Princeton.EDU!4444
	contact_groups			Monitoring Admins Pager
	contacts			Networking
}

define service {
	service_description		Selenium DevQA Hub
	use				generic-service
	host_name			monitor-dev
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_tcp_port!monitor-dev.Princeton.EDU!4444
	contact_groups			null
	contacts			Igor V. Gubenko
}

define service {
	service_description		Selenium Cluster
	use				generic-service
	host_name			monitor
	check_command			check_service_cluster!$SERVICEDESC$!$SERVICESTATEID:mon200w:Selenium$,$SERVICESTATEID:mon201w:Selenium$,$SERVICESTATEID:mon202w:Selenium$,$SERVICESTATEID:mon203w:Selenium$!-w @3:!-c @4:
	contact_groups			Monitoring Admins Pager
	contacts			Networking
}

define service {
	service_description		Selenium DevQA Cluster
	use				generic-service
	host_name			monitor-dev
	check_command			check_service_cluster!$SERVICEDESC$!$SERVICESTATEID:mon300w:Selenium DevQA$,$SERVICESTATEID:mon301w:Selenium DevQA$!-w @1:!-c @2:
	contact_groups			null
	contacts			Igor V. Gubenko
}

define service {
	service_description		nrpe_win_service_WinGateEngine
	use				Windows Production service
	host_name			isoproxy200w
	check_command			check_nrpe_win_service!"WinGateEngine"
	contacts			infosec
}

define service {
	service_description		nrpe_wintest_service_W3SVC
	use				Windows Dev/QA service
	host_name			aisob101w, aisob102w, aisob110w, aisob111w, aisob115w, aisob116w, aisob118w, aisob301w, aisob301tstw, aisob302w, aisob302tstw, aisob310w, aisob310tstw, aisob311w, aisob311tstw, aisob315w, aisob315tstw, aisob316w, aisob318w, aisob318tstw
	notification_period		8x5
	check_command			check_nrpe_win_service!W3SVC
	contacts			ECM Admin Notify
}

define service {
	service_description		nrpe_wintest_service_OnBase_DDS
	use				Windows Dev/QA service
	host_name			aisob102w, aisob119w, aisob302w, aisob302tstw, aisob319w, aisob319tstw
	notification_period		8x5
	check_command			check_nrpe_win_service!"OnBase DDS Service"
	contacts			ECM Admin Notify
}

define service {
	service_description		nrpe_wintest_service_SMTP
	use				Windows Dev/QA service
	host_name			aisob113w, aisob313w, aisob313tstw
	notification_period		8x5
	check_command			check_nrpe_win_service!"Simple Mail Transfer Protocol (SMTP)"
	contacts			ECM Admin Notify
}

define service {
	service_description		nrpe_wintest_service_Hyland
	use				Windows Dev/QA service
	host_name			aisob113w, aisob313w, aisob313tstw
	notification_period		8x5
	check_command			check_nrpe_win_service!"Hyland Distribution Service" "Hyland OnBase Scheduler"
	contacts			ECM Admin Notify
}


define service {
	service_description		nrpe_wintest_service_Hyland_Unity
	use				Windows Dev/QA service
	host_name			aisob114w, aisob314w, aisob314tstw
	notification_period		8x5
	check_command			check_nrpe_win_service!"Hyland Unity Scheduler - DOF" "Hyland Unity Scheduler - DEV" "Hyland Unity Scheduler - HR" "Hyland Unity Scheduler - FAC" "Hyland Unity Scheduler - UFA" "Hyland Unity Scheduler - OFT" "Hyland Unity Scheduler"
	contacts			ECM Admin Notify
}

define service {
	service_description		nrpe_wintest_service_Hyland_FTS
	use				Windows Dev/QA service
	host_name			aisob318w
	notification_period		8x5
	check_command			check_nrpe_win_service!"Hyland Full Text Server"
	contacts			ECM Admin Notify
}

define service {
	service_description		nrpe_wintest_service_Hyland_FTS
	use				Windows Dev/QA service
	host_name			aisob118w
	notification_period		8x5
	check_command			check_nrpe_win_service!"Hyland Full-Text Server"
	contacts			ECM Admin Notify
}

define service {
	service_description		nrpe_wintest_service_BizTalk
	use				Windows Dev/QA service
	host_name			aisob116w, aisob316w
	notification_period		8x5
	check_command			check_nrpe_win_service!"BizTalk Service BizTalk Group : APInvoice_ProcessingHost" "BizTalk Service BizTalk Group : APInvoice_ReceiveHost" "BizTalk Service BizTalk Group : APInvoice_SendHost" "BizTalk Service BizTalk Group : APInvoice_TrackingHost" "BizTalk Service BizTalk Group : BizTalkServerApplication" "Enterprise Single Sign-On Service" "Rule Engine Update Service"
	contacts			ECM Admin Notify
}


define service {
	service_description		nrpe_win_service_W3SVC
	use				Windows Production service
	host_name			aisob201w, aisob202w, aisob210w, aisob211w, aisob215w, aisob216w, aisob218w
	check_command			check_nrpe_win_service!W3SVC
	contacts			ECM Admin Notify
}

define service {
	service_description		nrpe_win_service_OnBase_DDS
	use				Windows Production service
	host_name			aisob202w, aisob219w
	check_command			check_nrpe_win_service!"OnBase DDS Service"
	contacts			ECM Admin Notify
}

define service {
	service_description		nrpe_win_service_SMTP
	use				Windows Production service
	host_name			aisob213w
	check_command			check_nrpe_win_service!"Simple Mail Transfer Protocol (SMTP)"
	contacts			ECM Admin Notify
}

define service {
	service_description		nrpe_win_service_Hyland
	use				Windows Production service
	host_name			aisob213w
	check_command			check_nrpe_win_service!"Hyland Distribution Service" "Hyland OnBase Scheduler"
	contacts			ECM Admin Notify
}

define service {
	service_description		nrpe_win_service_Hyland_FTS
	use				Windows Production service
	host_name			aisob218w
	check_command			check_nrpe_win_service!"Hyland Full Text Server" 
	contacts			ECM Admin Notify
}

define service {
	service_description		nrpe_win_service_Hyland_Unity
	use				Windows Production service
	host_name			aisob214w
	check_command			check_nrpe_win_service!"Hyland Unity Scheduler - DOF" "Hyland Unity Scheduler - DEV" "Hyland Unity Scheduler - HR" "Hyland Unity Scheduler - FAC" "Hyland Unity Scheduler - UFA" "Hyland Unity Scheduler - OFT" "Hyland Unity Scheduler"
	contacts			ECM Admin Notify
}

define service {
	service_description		nrpe_win_service_BizTalk
	use				Windows Production service
	host_name			aisob216w
	check_command			check_nrpe_win_service!"BizTalk Service BizTalk Group : APInvoice_ProcessingHost" "BizTalk Service BizTalk Group : APInvoice_ReceiveHost" "BizTalk Service BizTalk Group : APInvoice_SendHost" "BizTalk Service BizTalk Group : APInvoice_TrackingHost" "BizTalk Service BizTalk Group : BizTalkServerApplication" "Enterprise Single Sign-On Service" "Rule Engine Update Service"
	contacts			ECM Admin Notify
}

define service {
	service_description		snmp_win_service_OIM_Remote_Manager
	use				Windows Production service
	host_name			eis206w
	check_command			check_snmp_win_service!"FireDaemon Service: OIM Remote Manager for Exchange"
	contact_groups			null
	contacts			Identity and Access Management
}

define service {
	service_description		tcp_5500_5550_5580
	use				UNIX Production service
	host_name			sdprsa200l, sdprsa201l
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_tcp_multiport!5500,5550,5580
	contact_groups			null
	contacts			Identity and Access Management
}

define service {
	service_description		nrpe_wintest_service_Topaz
	use				Windows Dev/QA service
	host_name			aistopaz100w
	check_command			check_nrpe_win_service!"Topaz GetEventStore" "Topaz Message Dispatcher" "Topaz Mongo DB"
	contacts			pac_app_integration
}

define service {
	service_description		nrpe_win_service_Topaz
	use				Windows Dev/QA service
	host_name			aistopaz200w
	check_command			check_nrpe_win_service!"Topaz GetEventStore" "Topaz Message Dispatcher" "Topaz Mongo DB" "Topaz Reporter Scheduler"
	contacts			pac_app_integration
}

define service {
	service_description		ssh_incoming_queue
	use				generic-service
	host_name			siem-ace
	#check_command			check_ssh_using_key!/home/nagios/.ssh/siem-ace.id!root!ls -l /usr/local/ace/incoming | wc -l
	check_command			check_ssh_using_key!/home/nagios/.ssh/siem-ace.id!root!q=`ls -l /usr/local/ace/incoming %%%%pipe%%%% wc -l` && echo "ACE queue: $q | queue=$q"!queue:[[:space:]][[:digit:]]{1,2}[[:space:]]+
	notification_interval		180
	contacts			Dean Plante, Donald Ade, Eric Burd, Ruth D. Gittens
}

#define service {
#	service_description		nrpe_wintest_service_WWW_Publishing
#	use				Windows Dev/QA service
#	host_name			dev98p1, dev98p2, dev98p3
#	check_command			check_nrpe_win_service!"World Wide Web Publishing Service"
#	contacts			Dev DTS
#}

define service {
	service_description		nrpe_unixtest_proc_OpenLDAP OID
	use				UNIX Dev/QA service
	host_name			eisoid101l, eisoid102l
	check_command			check_nrpe_process!2!1:! -C slapd -t 30
	contacts			DBA Important List
}

define service {
	service_description		nrpe_unix_proc_OpenLDAP OID
	use				UNIX Production service
	host_name			eisoid201l, eisoid202l, eisoid203l
	check_command			check_nrpe_process!2!1:! -C slapd -t 30
	contacts			DBA Important List
}

define service {
	service_description		nrpe_unixtest_dspace_jvm_classes
	use				UNIX Dev/QA service
	host_name			updatespace
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_jvm!" -p classes"!" -w 16000"!" -c 20000"
	contacts			DSP Admins
}

define service {
	service_description		nrpe_unixtest_dspace_jvm_heap
	use				UNIX Dev/QA service
	host_name			updatespace
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_jvm!" -p heap"!" -w 750000000"!" -c 900000000"
	contacts			DSP Admins
}

define service {
	service_description		nrpe_unixtest_dspace_jvm_non-heap
	use				UNIX Dev/QA service
	host_name			updatespace
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_jvm!" -p non-heap"!" -w 170000000"!" -c 200000000"
	contacts			DSP Admins
}

define service {
	service_description		nrpe_unixtest_dspace_jvm_threads
	use				UNIX Dev/QA service
	host_name			updatespace
	process_perf_data		1
	action_url			/princeton/cgi-bin/cacti-mapper.cgi?host=$HOSTALIAS$&service=$SERVICEDESC$
	check_command			check_nrpe_jvm!" -p threads"!" -w 75"!" -c 100"
	contacts			DSP Admins
}

define service {
	service_description		nrpe_unix_proc_nginx
	use				UNIX Production service
	host_name			timeline201l, timeline202l, timeline203l, timeline204l, timeline205l
	check_command			check_nrpe_process!20!1:! -C nginx -t 30
	contacts			Timeline
}

define service {
	service_description		nrpe_unix_proc_php-fpm
	use				UNIX Production service
	host_name			timeline201l, timeline202l
	check_command			check_nrpe_process!100!1:! -C php-fpm -t 30
	contacts			Timeline
}

define service {
	service_description		nrpe_unix_proc_mongo
	use				UNIX Production service
	host_name			timeline203l, timeline204l, timeline205l
	check_command			check_nrpe_process!2!1:! -C mongod -t 30
	contacts			Timeline
}

define service {
	service_description		nrpe_unix_proc_jira
	use				UNIX Production service
	host_name			sas200l
	check_command			check_nrpe_process!2!1:! -a jira -t 30
	contacts			Software Infrastructure Services
}

define service {
	service_description		nrpe_unix_proc_wso2_api
	use				UNIX Production service
	host_name			ais223l, ais224l
	check_command			check_nrpe_process!2!1:! -a wso2am/repo -t 30
	contacts			Software Infrastructure Services
}

define service {
	service_description		nrpe_unix_proc_wso2_esb
	use				UNIX Production service
	host_name			sas201l, sas202l
	check_command			check_nrpe_process!2!1:! -a wso2ei/repo -t 30
	contacts			Software Infrastructure Services
}

define service {
	service_description		nrpe_unix_proc_wso2_analytics
	use				UNIX Production service
	host_name			ais225l
	check_command			check_nrpe_process!2!1:! -a wso2_analytics/wso2/worker -t 30
	contacts			Software Infrastructure Services
}

define service {
	service_description		nrpe_unix_proc_neo4j
	use				UNIX Production service
	host_name			timeline203l, timeline204l, timeline205l
	check_command			check_nrpe_process!2!1:! -a neo4j -t 30
	contacts			Timeline
}

define service {
	service_description		Papercut
	use				Windows Production service
	host_name			ss219w
	check_command			check_multi!-f /usr/local/monitoring/princeton/etc/multi_papercut.cmd -n "$SERVICEDESC$" -l /usr/local/monitoring/princeton -t 80 -T 160 -s HOSTADDRESS=$HOSTADDRESS$ -s indent=4 -r 1+2+4+8+128
	contacts			Adam A. Ouellette
	contact_groups			null
}

define service {
	service_description		PeopleSoft Application Logs - IBPHCMPROD
	use				Windows Production service
	host_name			sis200l, sis201l
	max_check_attempts		1
	normal_check_interval		10
	is_volatile			1
	notification_options		w,c
	check_command			check_nrpe_generic!check_log3! -a /psapp/pt/ps_home8.56.13/appserv/ibphcmprod/LOGS/!'Java.+exception'!' ' ' ' ' -m APPSRV_*.LOG -p ProcessError -s /tmp/nagios_ibphcm_check_state -i -c 1 --missing=CRITICAL --show-filename'
	#check_command			check_multi!-f /usr/local/monitoring/princeton/etc/multi_pslogs_app_prod.cmd -n "$SERVICEDESC$" -t 40 -T 160 -r 1+2+4+64 -s timeout=$USER3$ -s port=$USER10$ -s host=$HOSTNAME$ -s environment=ibphcmprod -v
	contacts			DBA Important List
}

define service {
	service_description		PeopleSoft Application Logs - IBPCSPROD
	use				Windows Production service
	host_name			sis202l, sis203l
	max_check_attempts		1
	normal_check_interval		10
	is_volatile			1
	notification_options		w,c
	check_command			check_nrpe_generic!check_log3! -a /psapp/pt/ps_home8.56.13/appserv/ibpcsprod/LOGS/!'Java.+exception'!' ' ' ' ' -m APPSRV_*.LOG -p ProcessError -s /tmp/nagios_ibpcs_check_state -i -c 1 --missing=CRITICAL --show-filename'
	#check_command			check_multi!-f /usr/local/monitoring/princeton/etc/multi_pslogs_app_prod.cmd -n "$SERVICEDESC$" -t 40 -T 160 -r 1+2+4+64 -s timeout=$USER3$ -s port=$USER10$ -s host=$HOSTNAME$ -s environment=ibpcsprod -v
	contacts			DBA Important List
}

define service {
	service_description		PeopleSoft Application Logs - IBPHUBPROD
	use				Windows Production service
	host_name			sis204l, sis205l
	max_check_attempts		1
	normal_check_interval		10
	is_volatile			1
	notification_options		w,c
	check_command			check_nrpe_generic!check_log3! -a /psapp/pt/ps_home8.56.13/appserv/ibphubprod/LOGS/!'Java.+exception'!' ' ' ' ' -m APPSRV_*.LOG -p ProcessError -s /tmp/nagios_ibphub_check_state -i -c 1 --missing=CRITICAL --show-filename'
	#check_command			check_multi!-f /usr/local/monitoring/princeton/etc/multi_pslogs_app_prod.cmd -n "$SERVICEDESC$" -t 40 -T 160 -r 1+2+4+64 -s timeout=$USER3$ -s port=$USER10$ -s host=$HOSTNAME$ -s environment=ibphubprod -v
	contacts			DBA Important List
}

define service {
	service_description		PeopleSoft Web Logs - PHCMPROD
	use				Windows Production service
	host_name			sis206l, sis207l
	max_check_attempts		1
	normal_check_interval		10
	is_volatile			1
	notification_options		w,c
	check_command			check_multi!-f /usr/local/monitoring/princeton/etc/multi_pslogs_web_prod.cmd -n "$SERVICEDESC$" -t 40 -T 160 -r 1+2+4+64 -s timeout=$USER3$ -s port=$USER10$ -s host=$HOSTNAME$ -s environment=phcmprod -v
	contacts			DBA Important List
}

define service {
	service_description		PeopleSoft Web Logs - PCSPROD
	use				Windows Production service
	host_name			sis208l, sis209l
	max_check_attempts		1
	normal_check_interval		10
	is_volatile			1
	notification_options		w,c
	check_command			check_multi!-f /usr/local/monitoring/princeton/etc/multi_pslogs_web_prod.cmd -n "$SERVICEDESC$" -t 40 -T 160 -r 1+2+4+64 -s timeout=$USER3$ -s port=$USER10$ -s host=$HOSTNAME$ -s environment=pcsprod -v
	contacts			DBA Important List
}

define service {
	service_description		PeopleSoft Web Logs - PHUBPROD
	use				Windows Production service
	host_name			sis210l, sis211l
	max_check_attempts		1
	normal_check_interval		10
	is_volatile			1
	notification_options		w,c
	check_command			check_multi!-f /usr/local/monitoring/princeton/etc/multi_pslogs_web_prod.cmd -n "$SERVICEDESC$" -t 40 -T 160 -r 1+2+4+64 -s timeout=$USER3$ -s port=$USER10$ -s host=$HOSTNAME$ -s environment=phubprod -v
	contacts			DBA Important List
}

define service {
	service_description		PeopleSoft Web Logs - PIBPROD
	use				Windows Production service
	host_name			sis212l, sis213l
	max_check_attempts		1
	normal_check_interval		10
	is_volatile			1
	notification_options		w,c
	check_command			check_multi!-f /usr/local/monitoring/princeton/etc/multi_pslogs_web_prod.cmd -n "$SERVICEDESC$" -t 40 -T 160 -r 1+2+4+64 -s timeout=$USER3$ -s port=$USER10$ -s host=$HOSTNAME$ -s environment=pibprod -v
	contacts			DBA Important List
}

define service {
	service_description		nrpe_win_service_SMTP
	use				Windows Production service
	host_name			uhs209w, uhs210w
	check_command			check_nrpe_win_service!"Simple Mail Transfer Protocol (SMTP)"
	contacts			DBA Important List
}

define service {
	service_description		nrpe_win_service_T2FlexSchedulerServicex64
	use				Windows Production service
	host_name			aisparking200w
	check_command			check_nrpe_win_service!"T2FlexSchedulerServicex64"
	contacts			Charles T. Tennyson, pac_usapps, Pamela M. Slater
}

#define service {
#	service_description		nrpe_win_service_IBM_HTTP_Server
#	use				Windows Production service
#	host_name			maximo1
#	check_command			check_nrpe_win_service!"IBM HTTP Server 7.0"
#	contact_groups			Maximo
#}

define service {
	service_description		SMB
	use				UNIX Production service
	host_name			prov01
	check_command			check_smb_share
	contacts			Identity and Access Management
}

define service {
	service_description		Samba
	use				UNIX Production service
	host_name			aissmb225l
	check_command			check_smb_share! -s grndwk2! -u PRINCETON\\grndwk2! -p th4de/DC
	contacts			ESS Storage, ESS UNIX List
}

define service {
	service_description		Samba
	use				UNIX Dev/QA service
	host_name			aissmb325l
	check_command			check_smb_share! -s grndwk2! -u PRINCETON\\grndwk2! -p th4de/DC
	contacts			ESS Storage, ESS UNIX List
}

define service {
	service_description		nrpe_unixtest_mountpoint_listserv
	use				UNIX Dev/QA service
	host_name			csglists300l
	check_command			check_nrpe_generic!check_mountpoint! -a /var/local/listserv!tmp
	contacts			CISDR
}

define service {
	service_description		nrpe_unixtest_mountpoint_listserv
	use				UNIX Dev/QA service
	host_name			csglists301l
	check_command			check_nrpe_generic!check_mountpoint! -a /var/local/listserv.replica!tmp
	contacts			CISDR
}

define service {
	service_description		nrpe_unix_mountpoint_listserv
	use				UNIX Production service
	host_name			csglists200l
	check_command			check_nrpe_generic!check_mountpoint! -a /var/local/listserv!tmp
	contacts			CISDR
}


define service {
	service_description		Automation
	use				UNIX Dev/QA service
	host_name			autom100l, autom101l
	check_command			check_multi!-f /usr/local/monitoring/princeton/etc/multi_apid.cmd -n "$SERVICEDESC$" -r 1+2+4 -s timeout=$USER3$ -s port=$USER10$ -s host=$HOSTNAME$ -v
	contacts			Networking
}


define service {
	service_description		Automation
	use				UNIX Production service
	host_name			autom200l, autom201l
	check_command			check_multi!-f /usr/local/monitoring/princeton/etc/multi_apid.cmd -n "$SERVICEDESC$" -r 1+2+4 -s timeout=$USER3$ -s port=$USER10$ -s host=$HOSTNAME$ -v
	contacts			Networking
	contact_groups			Networking Pager
}


define service {
	service_description		HTTP
	use				UNIX Dev/QA service
	host_name			autumn-dev
	check_command			check_http
	contacts			Networking
}


define service {
	service_description		HTTPS
	use				UNIX Dev/QA service
	host_name			autumn-dev
	check_command			check_https
	contacts			Networking
}


define service {
	service_description		HTTP
	use				UNIX Production service
	host_name			autumn
	check_command			check_http
	contacts			Networking
	contact_groups			Networking Pager
}


define service {
	service_description		HTTPS
	use				UNIX Production service
	host_name			autumn
	check_command			check_https
	contacts			Networking
	contact_groups			Networking Pager
}


